Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class ANSI.Renderer

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI.Renderer

Enclosing class:
  ANSI

    public static class ANSI.Renderer

extends Object

Nested Class Summary
`static class` | `ANSI.Renderer.RenderException`

Field Summary
`static String` | `BEGIN_TOKEN`
`static String` | `CODE_LIST_SEPARATOR`
`static String` | `CODE_TEXT_SEPARATOR`
`static String` | `END_TOKEN`

Constructor Summary
`ANSI.Renderer()`

Method Summary
`static String` | `encode(String text, int code)`
`String` | `render(String input)`
`static boolean` | `test(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN_TOKEN

    public static final String BEGIN_TOKEN

See Also:
  Constant Field Values

### END_TOKEN

    public static final String END_TOKEN

See Also:
  Constant Field Values

### CODE_TEXT_SEPARATOR

    public static final String CODE_TEXT_SEPARATOR

See Also:
  Constant Field Values

### CODE_LIST_SEPARATOR

    public static final String CODE_LIST_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### ANSI.Renderer

    public ANSI.Renderer()

Method Detail

### render

    public String render(String input)
                  throws ANSI.Renderer.RenderException

  Throws:
    `ANSI.Renderer.RenderException`

### test

    public static boolean test(String text)

### encode

    public static String encode(String text,
                                int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD